Bug 189636 - net-mgmt/wifimgr: update to 1.11, add staging support
Summary: net-mgmt/wifimgr: update to 1.11, add staging support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-11 00:10 UTC by J.R. Oldroyd
Modified: 2014-05-14 11:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2014-05-11 00:10 UTC, J.R. Oldroyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2014-05-11 00:10:00 UTC
net-mgmt/wifimgr: update to 1.11, add staging support

Note to committer: the patch files/patch-src-Makefile and the files/ dir
can now be deleted.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-11 00:10:04 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2014-05-13 23:07:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-05-14 10:54:56 UTC
Author: madpilot
Date: Wed May 14 09:54:52 2014
New Revision: 354033
URL: http://svnweb.freebsd.org/changeset/ports/354033
QAT: https://qat.redports.org/buildarchive/r354033/

Log:
  - Update to 1.11
  - Stage support
  - Convert to USES tar
  
  PR:		ports/189636
  Submitted by:	"J.R. Oldroyd" <fbsd@opal.com> (maintainer)

Deleted:
  head/net-mgmt/wifimgr/files/
Modified:
  head/net-mgmt/wifimgr/Makefile
  head/net-mgmt/wifimgr/distinfo
  head/net-mgmt/wifimgr/pkg-plist

Modified: head/net-mgmt/wifimgr/Makefile
==============================================================================
--- head/net-mgmt/wifimgr/Makefile	Wed May 14 09:18:58 2014	(r354032)
+++ head/net-mgmt/wifimgr/Makefile	Wed May 14 09:54:52 2014	(r354033)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	wifimgr
-PORTVERSION=	1.10
-PORTREVISION=	1
+PORTVERSION=	1.11
 CATEGORIES=	net-mgmt sysutils
 MASTER_SITES=	http://opal.com/freebsd/ports/net-mgmt/wifimgr/ \
 		CRITICAL
@@ -11,14 +10,11 @@ MASTER_SITES=	http://opal.com/freebsd/po
 MAINTAINER=	fbsd@opal.com
 COMMENT=	WiFi Networks Manager
 
-USES=		pkgconfig
-USE_BZIP2=	yes
+USES=		desktop-file-utils pkgconfig tar:bzip2
 USE_XORG=	x11
 USE_GNOME=	gtk20
 INSTALLS_ICONS=	yes
 
-NO_STAGE=	yes
-
 OPTIONS_DEFINE=	NLS
 
 .include <bsd.port.options.mk>
@@ -32,6 +28,4 @@ PLIST_SUB+=	NLS="@comment "
 MAKE_ENV+=	WITHOUT_NLS=${WITHOUT_NLS}
 .endif
 
-MAN8=		wifimgr.8
-
 .include <bsd.port.mk>

Modified: head/net-mgmt/wifimgr/distinfo
==============================================================================
--- head/net-mgmt/wifimgr/distinfo	Wed May 14 09:18:58 2014	(r354032)
+++ head/net-mgmt/wifimgr/distinfo	Wed May 14 09:54:52 2014	(r354033)
@@ -1,2 +1,2 @@
-SHA256 (wifimgr-1.10.tar.bz2) = 87f6fbd5a9db0c779d464c7253df9a20d9c5e4b098796a4fab4841a239645610
-SIZE (wifimgr-1.10.tar.bz2) = 116857
+SHA256 (wifimgr-1.11.tar.bz2) = da3c79b66985ee28f5921a76312b6dec794d43b0bfdfafc5220ccfe53699fab1
+SIZE (wifimgr-1.11.tar.bz2) = 116900

Modified: head/net-mgmt/wifimgr/pkg-plist
==============================================================================
--- head/net-mgmt/wifimgr/pkg-plist	Wed May 14 09:18:58 2014	(r354032)
+++ head/net-mgmt/wifimgr/pkg-plist	Wed May 14 09:54:52 2014	(r354033)
@@ -1,5 +1,6 @@
 bin/wifimgr
 libexec/wifimgrsu
+man/man8/wifimgr.8.gz
 %%DATADIR%%/icons/eye.png
 %%DATADIR%%/icons/freebsd-surf.png
 %%DATADIR%%/icons/on-off.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Guido Falsi freebsd_committer 2014-05-14 10:55:08 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!